from PyQt5.QtWidgets import QMainWindow
from gui.meshpatchui import Ui_MeshPatchDialog


class MeshPatchDialog(QMainWindow, Ui_MeshPatchDialog):
    def __init__(self, _appctrl):
        super().__init__()
        super().setupUi(self)

        # App controller
        self.appController = _appctrl

        # Mesh Patch Actions
        self.buttonApply.clicked.connect(self.appController.meshPatchApply)
        self.buttonClose.clicked.connect(self.appController.meshPatchClose)

    def closeEvent(self, _event):
        self.appController.meshPatchCloseEvent()
        _event.accept()
